nipype (1.6.0-1~nd110+1) bullseye; urgency=medium

  * Backported for bullseye.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 21 Dec 2020 12:16:53 -0500

nipype (1.6.0-1) unstable; urgency=medium

  * Recent upstream release
    - requires python3-librdf >= 5.0.0 (dropping patches/deb_no_neurdflib
      which was initially introduced by upstream as a workaround)
  * d/patches
    - sphinx.patch - also exclude niflow-nipype1-workflows and disable
      git cloning of an external repository
  * d/control
    - temporarily remove python3-nipy in build-depends (not installable ATM)
  * d/rules
    - skip nipype.interfaces.io.BIDSDataGrabber doctest since causes internal
      pytest trouble in backport to debian stable (buster), and anyways
      would be skipped ATM since we do not have python3-bids ATM.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Dec 2020 15:19:50 -0500

nipype (1.5.0~rc1-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Move package to Debian Med team
  * Drop debian/gbp.conf since repository was converted to default layout
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Build Python3 module instead of Python2
    Closes: #937144, #932197
  * Switch from cdbs to dh
  * Remove outdated debian/README.{Debian,source}
  * Remove outdated debian/{pyversions,pycompat}
  * DEP3
  * Build-Depends: python3-filelock, python3-sphinxcontrib.apidoc,
                   python3-nbsphinx, python3-etelemetry
  * Upstream switched from BSD-3 to Apache-2.0 license

  [ Yaroslav Halchenko ]
  * Finalize for upload with endless gratitude to Andreas

  TODO: Some strange sphinx issue remaining when trying to build the package

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Mar 2020 12:10:16 -0400

nipype (1.1.9-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Mar 2019 22:40:32 -0400

nipype (1.1.8-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 03 Feb 2019 19:16:00 -0500

nipype (1.1.7-2) neurodebian; urgency=medium

  * d/p/deb_no_strict_versions
    - do not require recent pytest - version was boosted upstream only to
      workaround problems with some CIs, and now forbids us to use backport

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Jan 2019 12:30:32 -0500

nipype (1.1.7-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - refreshed and upstramed changeset_* dropped
    - added deb_no_neurdflib to avoid requiring neurdflib for now.
      All the RDF handling dependencies are too much in flux ATM.
      Let's see if the reset of functionality/tests pass during building.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Dec 2018 14:45:19 -0500

nipype (1.1.3-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    + Suggest python-bids

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Oct 2018 10:57:16 -0400

nipype (1.1.1-2) unstable; urgency=medium

  * debian/control
    - point vcs fields to salsa
  * debian/patches/deb_simplify_requires temporary patch to resolve
    uninstallable state on older debian/ubuntus

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 09 Aug 2018 14:26:03 -0400

nipype (1.1.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    + python-concurrent.futures and python-pydot to B-Depends and 
      Depends for python-nipype

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Aug 2018 13:00:43 -0400

nipype (1.0.3-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 May 2018 14:38:10 -0400

nipype (1.0.2-3) neurodebian; urgency=medium

  * debian/patches/deb_no_strict_versions
    - to allow for python-prov 1.4.0 and above
      see https://github.com/nipy/nipype/issues/2531
    - allow python-traits >= 4.5
      see https://github.com/nipy/nipype/issues/2346

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 09 Apr 2018 18:52:08 -0400

nipype (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches - refreshed
  * debian/control
    - added explicit dependency on python-dateutil (>= 2.2) as upstream
    - added python-pytest-xdist into bdepends since tests now use -n auto

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Mar 2018 08:50:08 -0400

nipype (1.0.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - added python-numpydoc to build-depends
  * debian/rules
    - export FSLOUTPUTTYPE=NIFTI_GZ to avoid useless warnings

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Feb 2018 19:13:42 -0500

nipype (1.0.0+git69-gdb2670326-1) unstable; urgency=medium

  * Fresh upstream post-release snapshot
  * debian/control
    - upstream requires traits 4.5.0:
      https://github.com/nipy/nipype/issues/2346

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 11 Feb 2018 00:10:19 -0500

nipype (0.14.0-1) unstable; urgency=medium

  * Fresh upstream release
    - dropped debian/patches/up*
    - should not FTBFS any longer (Closes: #848777)
  * debian/control
    - boosted debhelper to 9
    - boosted debian policy to 4.1.2
    - added python-packaging to build-depends and depends
    - downgraded cfflib to Recommends and removed from B-Depends
      (no longer developed etc)
  * debian/patches
    - make sphinx.ext.imgmath optionally needed

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Dec 2017 14:14:49 -0500

nipype (0.13.1-1) experimental; urgency=medium

  * Fresh upstream release
    - switched to use py.test instead of nosetests
  * debian/control
    - added python-click and python-configparser
  * Dropped debian/patches/changeset_bf-install-use-resources.diff
    since upstream migrated to setuptools and issue with permissions
    should be resolved (see https://github.com/nipy/nipype/pull/1565)
  * debian/rules 
    - set LC_ALL=C.UTF-8 while building docs

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 May 2017 10:03:04 -0400

nipype (0.12.1+git4-gbc3a0b5-1) unstable; urgency=medium

  * New upstream snapshot from 0.12.0-53-g356319b -- there were a number of
    fixes after release, without visible major new features introduced),
    thus snapshot was chosen
  * debian/control
    - python-{funcsigs,future,mock,prov,psutil} added to
      {Build-,}Depends/Recommends
    - boosted policy to 3.9.8
  * debian/patches
    - refreshed
    - deb_robust_apidocgen added to guarantee robust doc generations even
      externals puke on import for some reason (like nitime atm)
      (Closes: #802409)
  * debian/rules
    - adjusted to find installed nipype under any -packages

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 04 Aug 2016 22:07:30 -0400

nipype (0.11.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/rules
    - skip test_mesh_ops since needs X and also seems to be incompatible
      with our mayavi2 4.3.1 (https://github.com/nipy/nipype/issues/1218)
    - needed to drop --with-doctest so that test_mesh_ops doesn't get
      imported anyhow 
  * debian/control
    - recommend mayavi2 and python-xvfbwrapper as needed by some interfaces

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Sep 2015 19:43:29 -0400

nipype (0.10.0-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * debian/blends, debian/upstream/metadata: Moved publication data where
    they belong to

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Oct 2014 11:28:34 -0400

nipype (0.10.0-1) unstable; urgency=medium

  * New upstream release
    - provides non-minified javascript library (Closes: #737443)
  * debian/rules
    - enable doctests
    - switch away from pysupport
  * debian/control
    - boost policy to 3.9.6
    - build-depends on recent ipython (or use ipython1x) to obtain necessary
      sphinx extensions
    - use system-wide underscore.js
  * debian/copyright
    - updated years, and used BSD-3 for the short license label
  * debian/patches
    - deb_disable_google_online_snippets -- disable all kinds of Google
      goodness (CSE, analytics)
  * debian/*lintian*
    - adjusted
  * debian/patches
    - changeset_e4c5ba858abf0dde5739788c0174417d21fb4c41.diff
      to resolve issues with context handler on older numpy's

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Oct 2014 21:32:32 -0400

nipype (0.9.2-1) unstable; urgency=low

  * New bugfix upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 31 Jan 2014 15:47:16 -0500

nipype (0.9.1+git9-g8b1d21c-1) unstable; urgency=low

  * Post bug-fix release snapshot
    - should fix DataFinder bug (gh-761) introduced in 0.9 (Closes: #734591)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Jan 2014 09:47:21 -0500

nipype (0.9-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - boosted policy to 3.9.4

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 20 Dec 2013 21:48:17 -0500

nipype (0.8-1) unstable; urgency=low

  * New upstream release
    - dropping picked up previously changesets

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 May 2013 14:47:28 -0400

nipype (0.7-1) experimental; urgency=low

  * New upstream release
  * debian/patches:
    - included post release fix
      changeset_fa7ef717b40cf175f0b6d09a3d2180cc9ddfb1e8.diff
    - dropped previous picked up patches
  * debian/watch:
    - adjusted for everchanging layout at github

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jan 2013 11:35:28 -0500

nipype (0.6.0-2) experimental; urgency=low

  * Cherry-picked cc5433b3513477a3ccf6addac4b67fb4e2884d48 as
    0001-fix-github-authentication.patch to resolve FTBFS while building
    documentation

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Oct 2012 11:29:33 -0400

nipype (0.6.0-1) experimental; urgency=low

  * New upstream release.  Upload to experimental due to wheezy freeze
  * Boosted policy to 3.9.3
  * debian/watch: adjusted for github url changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Jul 2012 09:41:29 -0400

nipype (0.5.3+git256-g493e708-1) UNRELEASED; urgency=low

  * New upstream snapshot from gh/master at 0.5.3-256-g493e708

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Jun 2012 11:40:43 -0400

nipype (0.5.3-2) unstable; urgency=low

  * Make it buildable on HOMEless systems (Closes: #664944).
    Thanks Lucas Nussbaum for the report and Nicolas Bourdaud for the patch
    and Touko Korpela for the correction ;)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Jun 2012 13:41:47 -0400

nipype (0.5.3-1) unstable; urgency=low

  * Fresh bugfix upstream release (FIX: SPM model generation ...)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 31 Mar 2012 19:44:53 -0400

nipype (0.5.2-1) unstable; urgency=low

  * Fresh bugfix upstream release
  * Added debian/source/options to ignore difference in COMMIT_INFO.txt

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Mar 2012 22:59:16 -0400

nipype (0.5.0-1) unstable; urgency=low

  * Fresh upstream release
    - dropped upstreamed patches up_recent_nipy_reference,
      deb_tollerate_exceptions_while_docbuilding
  * debian/copyright: updated to fit DEP-5 1.0 + copyright years
  * debian/python-nipype.lintian-overrides: extended list of 0-sized files

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Mar 2012 19:57:48 -0500

nipype (0.4.1-2) unstable; urgency=low

  * Cherry-picked post-release nipy-compatibility patch
    up_recent_nipy_reference (Closes: #638953). Thanks Barry for the reminder.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Sep 2011 14:20:05 -0400

nipype (0.4.1-1) unstable; urgency=low

  * Fresh upstream bugrelease -- all up_* patches absorbed/dropped from the
    quilt queue
  * pyversions: requires >= 2.6 now

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 16 Jul 2011 17:43:23 -0400

nipype (0.4-1) unstable; urgency=low

  * Fresh upstream release
  * debian/source -- now 3.0 (quilt) format
  * debian/control:
    - boosted policy to 3.9.2 (no changes)
    - versioned *depends on traits (>=4.0) and nibabel (>=1.0)
    - added networkx (>=1.3) into Build-Depends
    - added python-cfflib into Build-Depends and Depends
    - added graphviz and ipython into Build-Depends -- needed to build
      documentation and run tests
  * debian/changelog -- updated for DEP5 rev 174
  * debian/watch -- was added to fetch tarballs from github
  * committed/absorbed from post-release upstream:
    - up_no_custom_matlab_path
    - up_some_no_fsl_skips
    - up_donot_fail_if_no_matlab
    - up_reset_results_when_crash
    - up_pipeline_clean_up_result_creation
  * introduced deb_tollerate_exceptions_while_docbuilding to avoid
    failures to build portions of documentation dependent on absent
    externals (e.g. FSL)
  * *Depends on backported python-traits4 as an alternative to
    python-traits >= 4.0
  * Assure no executable .csv files

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 15 Jul 2011 10:40:26 -0400

nipype (0.3.4-1) neurodebian; urgency=low

  * Added graphviz into recommends since 'dot' is also used directly by
    nipype (Closes: #604558)
  * Removed lipsia from Suggests (no relation really)
  * Added debian/blends with RFC822 reference to the poster
  * Replaced pynifti with nibabel. Removed copyright information on pynifti
  * Added additional build-depends (matplotlib, sympy, nibabel, nitime)
  * Moved networkx and nibabel into Depends since they are core components
  * Added suggests for pyxnat and matlab-spm8
  * Added .doc-base for the documentation integration
  * Updated debian/README* files
  * Assure use of Agg matplotlib backend while docbuilding/testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Nov 2010 20:51:21 -0500

nipype (0.3.3-1) experimental; urgency=low

  * New upstream release
  * Included post release fix pushed upstream
    - python 2.5 compatibility: no keyword args after *args
  * Installing example code snippets within -doc package
  * Policy compliance boost to 3.9.1 -- no changes
  * Added 2 more lintian overrides for empty files

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 16 Sep 2010 22:34:49 -0400

nipype (0.3.3~dartmouth1-1) experimental; urgency=low

  * New upstream snapshot prepared for the nipype workshop at Dartmouth
    college

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Sep 2010 23:44:36 -0400

nipype (0.3.2-1) unstable; urgency=low

  * New upstream release (bugfixes and documentation).
    + Issues fixed since 0.3 in FreeSurfer interface:
      - bugs in glmfit and concatenate
      - SegStats doctest
    + Documentation fixes/enhancements:
      - Developers howtos
      - misc docstrings

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 09 Aug 2010 14:07:46 -0400

nipype (0.3-1) unstable; urgency=low

  * New upstream release
  * Debian packaging
    - Moving packaging under NeuroDebian umbrella
    - Adjusting debian/copyright for DEP5 rev 135
    - Policy compliance boost to 3.9.0 -- BSD license provided verbatim
    - Added AFNI available from NeuroDebian repository into Suggests
    - Added build and runtime depends on python-traits
    - Added lintian overrides for empty testing .gz files

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 Jul 2010 18:25:24 -0400

nipype (0.2-4) unstable; urgency=low

  * BF: removed slipped in hardcoded 2.5 as version of Python (Closes:
    #571500).

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Feb 2010 20:06:50 -0500

nipype (0.2-3) unstable; urgency=low

  * Moving python-networkx from Build-Depends into Build-Conflicts (versioned
    before 1.0~rc1) (Closes: #569401).

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Feb 2010 17:12:16 -0500

nipype (0.2-2) unstable; urgency=low

  * Policy compliance boost to 3.8.4 -- no changes were necessary.
  * networkx moved into Recommends: due to outdated version of networkx
    in Debian (see #565319), networkx becomes optional dependency -- 
    corresponding commits cherry-picked from upstream trunk.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 05 Feb 2010 22:22:47 -0500

nipype (0.2-1) experimental; urgency=low

  * Initial release (Closes: #550080)
  * Upload to experimental since python-networkx version only in the
  experimental atm.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Nov 2009 23:03:07 -0500
